Debian Bug report logs - #118910
[ARCH] clean up archtable

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Fri, 9 Nov 2001 22:03:02 UTC

Severity: wishlist

Tags: fixed-in-experimental

Done: Scott James Remnant <scott@netsplit.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wichert Akkerman <wakkerma@debian.org>:
Bug#118910; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
New Bug report received and forwarded. Copy sent to Wichert Akkerman <wakkerma@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: submit@bugs.debian.org
Cc: debian-hurd@lists.debian.org, debian-bsd@lists.debian.org, debian-win32@lists.debian.org
Subject: dpkg: adding a "Kernel:" tag to control files
Date: Fri, 9 Nov 2001 21:44:01 +0100
Package: dpkg
Severity: wishlist

Hello,

I'd like to suggest adding a "Kernel:" tag to the control file. I think
it'd be very useful to allow combinations of kernels and architechtures
that need to be done manually as now. Moreover, in the future with
the coming of kernel-ports like GNU/Hurd, GNU/*BSD and GNU/W32, this
would become still more useful.

The most dramatical situation we could find is that, if someday we have a
debian
port for, say, each of the 45 (and more to come) architechture NetBSD is
ported
to, the maintainer of a netbsd-specific package will be forced to type
*all*
the architechtures:

Architechture: netbsd-i386, netbsd-.... (up to 45 entries)

While if we had a Kernel: tag it'd be as simple as this:

Architechture: any
Kernel: netbsd

Please implement this feature, for this would add a lot of flexibility to
porters
working on non-linux ports.

Regards,

-- 
--------------------------------------------------
Robert Millan          Debian GNU/Hurd user
zeratul2 wanadoo es    http://getyouriso.dyndns.org/
--------------------------------------------------
GPG ID C8D6942C
237F 8688 C2E5 BC64 E152  97B4 FB28 D41B C8D6 942C
--------------------------------------------------
Some words for my friends Carnivore and Echelon
--------------------------------------------------
FBI CIA NSA Assault Bomb Terrorism Jihad
Allah Ossama Bin Laden Saddam Hussein
Handgun Assault Plane Crash Pentagon
World Trade Center Whitehouse President Bush
Putin Twin Towers Air Force One USA America
DeCCS RIAA BSA piracy illegal drugs heroin
Big Brother is watching you defcon nuclear
holocaust world war arabian afghanistan
cryptography PGP GPG crack RSA algorithm
Chechnya OMON Spetsnaz T-72 Merkava M1A1 Abrams
Chieftain Challenger Turret Apache Missiles Skinheads
troopers Kazakhstan Muhhamed Atta
-----------------------------------------------------------
Put this in your signature and join us in confusing the Big Brother




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#118910; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 118910@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 118910@bugs.debian.org
Subject: Close this?
Date: Fri, 18 Jun 2004 21:49:02 +0200
This wish seems idle to me.  If this sort of thing ever turns out
to be necessary in the future then it will be implemented.  We don't
need to keep this report open in the meantime, IMHO.
--
Thomas Hood




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#118910; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Michelle Konzack <linux4michelle@freenet.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 118910@bugs.debian.org (full text, mbox):

From: Michelle Konzack <linux4michelle@freenet.de>
To: 118910@bugs.debian.org
Subject: Re: Bug#118910: Close this?
Date: Fri, 18 Jun 2004 22:36:55 +0200
[Message part 1 (text/plain, inline)]
Am 2004-06-18 21:49:02, schrieb Thomas Hood:
>This wish seems idle to me.  If this sort of thing ever turns out
>to be necessary in the future then it will be implemented.  We don't
>need to keep this report open in the meantime, IMHO.

A "Kernel: " tag for what ?


Greetings
Michelle

-- 
Linux-User #280138 with the Linux Counter, http://counter.li.org/ 
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSM LinuxMichi
0033/3/88452356    67100 Strasbourg/France   IRC #Debian (irc.icq.com)
[signature.pgp (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#118910; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 118910@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Thomas Hood <jdthood@aglu.demon.nl>, 118910@bugs.debian.org
Subject: Re: Bug#118910: Close this?
Date: Sat, 19 Jun 2004 20:00:36 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2004-06-18 at 21:49 +0200, Thomas Hood wrote:

> This wish seems idle to me.  If this sort of thing ever turns out
> to be necessary in the future then it will be implemented.  We don't
> need to keep this report open in the meantime, IMHO.
> 
It's part of the wider "All the world is not Linux" stuff ... keep it
open to remind us that Robert might one day finish one of his ports.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter from Robert Millan <zeratul2@wanadoo.es> to Robert Millan <rmh@debian.org>. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#118910; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 118910@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Scott James Remnant <scott@netsplit.com>
Cc: 118910@bugs.debian.org
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Thu, 2 Sep 2004 20:23:55 +0200
[Message part 1 (text/plain, inline)]
On Mon, Aug 30, 2004 at 01:55:34PM +0100, Scott James Remnant wrote:
> > 
> > That sounds like bug #118910.  Ok I'll start working on this.
> > 
> Yup, it's one of yours.  I'd be certainly interested in discussing the
> ideas for this and how it'll operate; will we encode the kernel name in
> the filenames or not?  Probably worth involving ftpmasters at some point
> to see how they would like to split things up.

Ok, back to #118910.  Let's get started.  The ideal solution would be to have
Cpu and System tags from which dpkg can generate the Architecture.  It's
important to note that this can be done _cleanly_ without disrupting anything
in the current scheme.  If, at a later stage, we want to change filenames etc,
we're free to do so, but it's not a prerequisite.

Fortunately, dpkg doesn't need to rely on dpkg-architecture (that would be a
crap dessign) to resolve the tags, because it already has the information
internaly.  In configure.in, os_type and target_cpu are used to match in
archtable for obtaining the architecture name.

There is, however, the problem that target_cpu and os_type are not
canonicalised.  In archtable we have a lot of redundant entries like i386,
i486, i586, etc or gnu0.2, gnu0.3.  There's some incomplete code for
canonicalisation of target_os to os_type in configure.in, so we only need to
fix this code and add a blurb for cpu.  My patch, summarised below:

  - configure.in:  Complete canonicalisation of systems and add one for cpus.
  - archtable:  Remove redundant entries, no longer needed.
  (I also added powerpc64 in both while at it.)

These changes will make it easier to maintain support for future systems or
cpus, too.

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/kfreebsd-gnu
  `-
[dpkg.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#118910; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 118910@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 118910@bugs.debian.org
Subject: update for experimental
Date: Sun, 16 Jan 2005 06:34:03 +0100
[Message part 1 (text/plain, inline)]
Hi,

I'm sending an update of this patch for dpkg 1.13.0 (in experimental).

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/kfreebsd-gnu
  `-
[archtable_cleanup.diff (text/plain, attachment)]

Tags added: experimental Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: experimental Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Robert Millan <rmh@debian.org> to Robert Millan <rmh@aybabtu.com>. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Robert Millan <rmh@aybabtu.com> Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:36:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.